package cn.com.countrygarden.bi.main.service.canteen;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.CanteenInvestigateqCodeUrlDTO;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnairelistCanteenDTO;
import cn.com.countrygarden.bi.main.dto.canteenInvestigationliebiaoDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.canteen.CanteenInvestigate;
import cn.com.countrygarden.bi.main.model.dup.ContractStatistical;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaire;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 调查表-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-13
 */
public interface CanteenInvestigateService {

    Result queryPageList(CanteenInvestigate canteenInvestigate, int page, int size);

    Result queryById(Integer id);

    Result add(CanteenInvestigate canteenInvestigate, AccessToken accessToken);

    Result edit(CanteenInvestigate canteenInvestigate, AccessToken accessToken);

    Result del(Integer id);
    
    Result canteenrqdtolist(String name,int page,int size,
			boolean hasRole, String userCode,Integer investigationmanagementId);
    
    Result canteenInvestigationedit(CanteenInvestigate canteenInvestigate, AccessToken accessToken);
    
    Result canteenInvestigationgokai(CanteenInvestigate canteenInvestigate, AccessToken accessToken);
    
    Result addcantapp(CanteenInvestigate canteenInvestigate, String qCodeUrl,AccessToken accessToken);
    
    Result canteenInvestigationlist(canteenInvestigationliebiaoDTO canteentionliebiaoDTO,int page,int size,
			boolean hasRole, String userCode);
    
    Result bdpsndoc(String bdid);
    
    Result cantequestionnaireaca(int questionnaireId,int projectid,int canteeninsdid,int investigatagementid);
    
    Result getdeid(canteenInvestigationliebiaoDTO canteentionliebiaoDTO,String qCodeUrl);
    
   

}